SIHandler Class Referenceabstract

`#include <sihandler.h>`

Inheritance diagram for SIHandler:
[legend]

## Public Member Functions

virtual | ~SIHandler ()
virtual void | handleSIRequestResult (const JID &from, const JID &to, const std::string &sid, const SIManager::SI &si)=0
virtual void | handleSIRequestError (const IQ &iq, const std::string &sid)=0

## Detailed Description

An abstract base class to handle results of outgoing SI requests, i.e. you requested a stream (using SIManager::requestSI()) to send a file to a remote entity.

You should usually not need to use this class directly, unless your profile is not supported by gloox.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 39 of file sihandler.h.

## Constructor & Destructor Documentation

## ~SIHandler()

virtual ~SIHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 46 of file sihandler.h.

## Member Function Documentation

## handleSIRequestError()

virtual void handleSIRequestError | ( | const IQ & | iq,
|  | const std::string & | sid )

pure virtual

This function is called to handle a request error or decline.

Parameters

  iq | The complete error stanza.
  sid | The request's SID.

Implemented in SIProfileFT.

## handleSIRequestResult()

virtual void handleSIRequestResult | ( | const JID & | from,
|  | const JID & | to,
|  | const std::string & | sid,
|  | const SIManager::SI & | si )

pure virtual

This function is called to handle results of outgoing SI requests, i.e. you requested a stream (using SIManager::requestSI()) to send a file to a remote entity.

Parameters

  from | The remote SI receiver.
  to | The SI requestor. Usually oneself. Used in component scenario.
  sid | The stream ID.
  si | The request's complete SI.

Implemented in SIProfileFT.

The documentation for this class was generated from the following file:

- sihandler.h